function init(hero) {
    hero.setName("The Immortal");
    hero.setTier(7);

	hero.setHelmet("Beard");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("vhp:unknown_anomaly");
    hero.addAttribute("MAX_HEALTH", 20.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.40, 1);
    hero.addAttribute("KNOCKBACK", 2.0, 0);
	hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
	hero.addAttribute("IMPACT_DAMAGE", 0.20, 1);

    hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 1);
	hero.addKeyBind("EARTHQUAKE", "Immortal Power", 2);
	hero.addKeyBind("HOVER", "key.hover", 3);

    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}